/*******************************************************************************
* Title: Miscellaneous.h                                                       
* Version: 1.0                                                                 
* Author: Jeff Nybo (Derived from Jan Axelson's code)                                                           
* Date: April 23, 2014                                                    
*                                                                              
* Description:                                                                 
* This file contains the function prototypes for some of the USB functions. My                                                                              
* USB code is derived from Jan Axelson's code.                                 
*******************************************************************************/
    
/*************************************************
*                   Constants                    *
*************************************************/ 
USB_HANDLE USBOutHandle = 0;
USB_HANDLE USBInHandle = 0;
BOOL blinkStatusValid = TRUE;

/*************************************************
*              Function Prototypes               *
*************************************************/   
void InitializeSystem(void);  
void ProcessIO(void);
void UserInit(void);       
